Page MenuHomePhabricator

[MC][NFCI] Factor out ELF section unique ID calculation
ClosedPublic

Authored by tmatheson on May 12 2021, 10:20 AM.

Details

Summary

Split from D100944. The logic for determining the unique ID had become
quite difficult to reason about, so I have factored this out into a
separate function.

Diff Detail

Event Timeline

tmatheson created this revision.May 12 2021, 10:20 AM
tmatheson requested review of this revision.May 12 2021, 10:20 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 12 2021, 10:20 AM
tmatheson edited the summary of this revision. (Show Details)May 14 2021, 8:20 AM
MaskRay accepted this revision.May 20 2021, 3:22 PM

Thanks!

This revision is now accepted and ready to land.May 20 2021, 3:22 PM
This revision was automatically updated to reflect the committed changes.